MySQL 4.0.18 => 4.0.23 ....

MySQL, PostgreSQL, SQLite
Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

MySQL 4.0.18 => 4.0.23 ....

Post by Outlaw » 2005-02-10 13:46

Hallo Leute,

haut mich nicht aber ich glaube, ich habe Tomaten auf den Augen.

ich habe schon einige MySQL Updates hinter mir und darunter waren auch schon Versionssprünge vor dem Komma aber jetzt hab ich gerade nen Blackout:

Code: Select all

# rpm -Uhv *
warning: MySQL-client-4.0.23-0.i386.rpm: V3 DSA signature: NOKEY, key ID 5072e1f5
Preparing...                ########################################### [100%]
        file /usr/lib/libmysqlclient.so.12.0.0 from install of MySQL-shared-4.0.23-0 conflicts with file from package mysql-shared-4.0.18-32
        file /usr/lib/libmysqlclient_r.so.12.0.0 from install of MySQL-shared-4.0.23-0 conflicts with file from package mysql-shared-4.0.18-32
Wie lässt sich das lösen ??

Gruß Outi

kuntho
Posts: 149
Joined: 2004-10-27 14:22
Location: Küps

Re: MySQL 4.0.18 => 4.0.23 ....

Post by kuntho » 2005-02-10 14:07

hatte ich schon öfters beim Updaten von mysql. die schnellste Lösung ist: /etc/my.cnf wegkopieren, 4.0.18 deinstallieren, anschließend die 4.0.23 installieren. /etc/my.cnf wieder herstellen und der Käs ist gegessen.

fg

kuntho

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Outlaw » 2005-02-10 14:19

Danke, habe ich gemacht und er zeigt als Server auch .23 an aber der Clint steht nach wie vor noch auf .18 ....

??

Gruß Outi

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Outlaw » 2005-02-10 14:22

Ok, sorry, jetzt passts, hatte vergessen den Apache zu restarten .... :roll::D

Gruß Outi

kuntho
Posts: 149
Joined: 2004-10-27 14:22
Location: Küps

Re: MySQL 4.0.18 => 4.0.23 ....

Post by kuntho » 2005-02-10 14:26

Du könntest bitte bei Gelegenheit mal posten, ob das Update beispielsweise in Sachen Performance was gebracht hat. Das Update steht bei mir noch aus, aber ich schiebe es aus Zeitgründen immer wieder nach hinten...

fg

KunTho

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Outlaw » 2005-02-10 14:32

Von .18 auf .23 nen Speedgewinn ??

Naja, ich hab nich so viel laufen, daß ich da groß nen Unterschied bemerken werde ....

Ich habs halt drauf gemacht, weil das alte eben standard im Image war und ich vor dem SuSE Update auch schon die .23er Version ohne Probleme laufen hatte.

Gruß Outi

kuntho
Posts: 149
Joined: 2004-10-27 14:22
Location: Küps

Re: MySQL 4.0.18 => 4.0.23 ....

Post by kuntho » 2005-02-10 14:40

Ok, dann kann ichs auch erst mal so lassen. Wenn es nicht wirklich nen Gewinn bringt, können meine Kisten erst mal auf der 4.0.18 bleiben und ich kümmer mich lieber um die wichtigeren Sachen.

Dank für die Info

fg

Kuntho

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Outlaw » 2005-02-10 14:46

Nunja, ich habe eigentlich noch nie mit .18 gearbeitet. Ich habe damals von 3.x direkt auf 4.0.22 und kurz darauf auf 4.0.23 upgedated.

Jetzt habe ich zwar kurz .18 drauf gehabt aber die Neuinstallation ist nur ein paar Tage her, da war noch nicht viel mit testen.

Jetzt habe ich halt gerade auf .23 upgedated.

Sorry, daß ich Dir da nicht viel weiter helfen konnte.

Gruß Outi

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Outlaw » 2005-02-11 12:55

So, werde jetzt wohl doch zu .18 wechseln müssen, Plesk installiert selbst die alte Version bei jedem Update wieder ....

Naja, ....

Gruß Outi

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Outlaw » 2005-02-11 12:55

Oder weis jemand, wie man Plesk zur neuen .23er "überredet" ??

Gruß Outi

salnet
Posts: 50
Joined: 2002-07-14 00:59
Location: Bonn

Re: MySQL 4.0.18 => 4.0.23 ....

Post by salnet » 2005-03-02 22:42

Hallo Outlaw.
Welche Quelle hast du für die 4.0.23-Pakete? Ich suche schon seit ner Ewigkeit nach der MySQL-4.0.23-0.i386.rpm

Bei deinem Problem kann ich dir leider auch nicht viel weiterhelfen.
Aber versuchs doch mal in der
Plesk-Knowledgebase
oder im Plesk-Forum

kawfy
Posts: 307
Joined: 2002-08-08 23:45

Plesk und mySQL

Post by kawfy » 2005-03-03 01:34

Outlaw wrote:So, werde jetzt wohl doch zu .18 wechseln müssen, Plesk installiert selbst die alte Version bei jedem Update wieder ....
:? Das ist komisch, in den Plesk-RPM, die man von SWsoft downladen kann, ist kein mySQL-Paket dabei. Wie soll Plesk denn da mit ne Rolle spielen?

Es gibt keinen Grund für Plesk, eigene MySQL-Pakete mitzuliefern. Es arbeitet ja mit der Software, die mit der Linux-Distribution kommen.

:!: Ausnahmen bilden da nur der MTA (qmail), der Mailstore (Courier-IMAP) und der FTP daemon (ProFTPd). Diese Dienste sind ja bei jeder Linux-Distribution anders -- SWsoft will sich da Arbeit sparen und liefert deshalt diese Software-Pakete mit Plesk mit.

User avatar
Joe User
Project Manager
Project Manager
Posts: 11137
Joined: 2003-02-27 01:00
Location: Hamburg

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Joe User » 2005-03-03 09:39

salnet wrote:Welche Quelle hast du für die 4.0.23-Pakete?
http://www.mysql.com/
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

salnet
Posts: 50
Joined: 2002-07-14 00:59
Location: Bonn

Re: MySQL 4.0.18 => 4.0.23 ....

Post by salnet » 2005-03-03 10:09

Joe User wrote:
salnet wrote:Welche Quelle hast du für die 4.0.23-Pakete?
http://www.mysql.com/
Ich kann beim besten Willen kein Paket bei http://www.mysql.com finden.
Dort gibt es nur die Server und die Max-Pakete

User avatar
Joe User
Project Manager
Project Manager
Posts: 11137
Joined: 2003-02-27 01:00
Location: Hamburg

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Joe User » 2005-03-03 11:07

PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: Plesk und mySQL

Post by Outlaw » 2005-03-05 12:55

kawfy wrote:
Outlaw wrote:So, werde jetzt wohl doch zu .18 wechseln müssen, Plesk installiert selbst die alte Version bei jedem Update wieder ....
:? Das ist komisch, in den Plesk-RPM, die man von SWsoft downladen kann, ist kein mySQL-Paket dabei. Wie soll Plesk denn da mit ne Rolle spielen?

Es gibt keinen Grund für Plesk, eigene MySQL-Pakete mitzuliefern. Es arbeitet ja mit der Software, die mit der Linux-Distribution kommen.

:!: Ausnahmen bilden da nur der MTA (qmail), der Mailstore (Courier-IMAP) und der FTP daemon (ProFTPd). Diese Dienste sind ja bei jeder Linux-Distribution anders -- SWsoft will sich da Arbeit sparen und liefert deshalt diese Software-Pakete mit Plesk mit.
Plesk greift auf die RPMs der Distri zu, bei SuSE 9.x eben die, die man auch per yast installieren kann.

Wenn man also bei Plesk irgned ein popeliges Update fahren lässt, werden alle für Plesk erreichbare Pakete geprüft und alles, was nicht bei 3 auf den Bäumen ist (also vom SuSE Standard abweicht, egal ob nach oben oder unten), wird zurückgesetzt.

Das hatte ich sowohl bei MySQL als auch beim Apachen, den ich kurzfristig in ner neueren Version drauf hatte und mich nach nem Update von irgend was anderem wieder zurückgesetzt bekam.

Nunja, die MySQL Packages bei MySQL.com sind wirklich nicht schwer zu finden.

Gruß Outi

luke0810
Posts: 20
Joined: 2003-12-12 20:36
Location: Celle

Wenn man sich nicht alles aufschreibt....

Post by luke0810 » 2005-04-25 16:50

Hallo!

Habe von mySQL die Vers. 4.0.15 installiert. Nun habe ich gesehen, dass es schon die Version 4.0.24 gibt. Habe mir die devel,shared und client rpm`s runtergeladen. Mit einem "rpm -Uvh --test *rpm" bekomme ich folgende Fehlermeldung:

warning: MySQL-client.rpm: V3 DSA signature: NOKEY, key ID 5072e1f5
Preparing... ########################################### [100%]
file /usr/lib/libmysqlclient.so.12.0.0 from install of MySQL-shared-4.0.24-0 conflicts with file from package mysql-shared-4.0.15-13
file /usr/lib/libmysqlclient_r.so.12.0.0 from install of MySQL-shared-4.0.24-0 conflicts with file from package mysql-shared-4.0.15-13

Ich weiß, dass es relativ einfach war, mySQL zu updaten, leider finde ich den Beitrag hierzu nicht mehr (habe schon gegoogelt und dieses Forum durchsucht). Weiß einer von Euch Rat?

LUKE

User avatar
Joe User
Project Manager
Project Manager
Posts: 11137
Joined: 2003-02-27 01:00
Location: Hamburg

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Joe User » 2005-04-25 17:13

4.0.15 deinstallieren und danach 4.0.24 installieren...
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.

luke0810
Posts: 20
Joined: 2003-12-12 20:36
Location: Celle

Re: MySQL 4.0.18 => 4.0.23 ....

Post by luke0810 » 2005-04-25 17:21

Okay, deinstallieren (musste ich bei den anderen Updates nicht)

Vielleicht stehe ich jetzt auch der langen Leine.... Also Datenbanken sichern und dann devel, shared und client installieren (richtig?).

LUKE

User avatar
Joe User
Project Manager
Project Manager
Posts: 11137
Joined: 2003-02-27 01:00
Location: Hamburg

Re: MySQL 4.0.18 => 4.0.23 ....

Post by Joe User » 2005-04-25 18:02

Ja, Backup anlegen und MySQL-* deinstallieren...
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.